import os,subprocess

def get_input():
	return os.environ.get("QUERY_STRING","")

def line(type,text,selector="",host="",port="",skip=False):
	print("{}{}\t{}\t{}\t{}".format(type,text,selector,host,port))

def title(name):
	line("!",name)

def link_dir(text,selector,host="",port=""):
	line("1",text,selector,host,port)

def link(text,selector,host="",port=""):
	line("0",text,selector,host,port)

def text(text):
	line("i",text," ".strip(),"null.host","1")

def figlet(tex,**opts):
	if len(opts.keys())==0:
		opts = {"f":"standard"}
	ct = ["/usr/bin/figlet"]
	for k in opts:
		ct.append("-"+k)
		ct.append(opts[k])
	ct.append(tex)
	out(ct)

def command_lines(ct):
	for l in subprocess.check_output(ct).decode("ascii").split("\n"):
		yield l

def out(ct,f=text):
	for l in command_lines(ct):
		f(l)

def command_t(ct):
	out(ct)
